#include "olcPGEX_Graphics2D.h"
#include "olcPGEX_Sound.h"
#include "olcPixelGameEngine.h"
#include <cstdint>
#include <iostream>

namespace pabloader {
class Awoorwae;

class Entity {
private:
    Awoorwae* game;
    olc::Sprite img;
    olc::GFX2D::Transform2D transform;
    float x, y;
    float xv, yv;
    bool onGround = false;

public:
    Entity(Awoorwae* game_);

    void Update(float dt);
    void Draw();
    olc::rcode Load();
};

class Awoorwae : public olc::PixelGameEngine {
private:
    Entity* player;

public:
    Awoorwae()
    {
        sAppName = "Awoorwa";
        player = new Entity(this);
    }

    ~Awoorwae()
    {
        delete player;
    }

public:
    bool OnUserCreate() override;
    bool OnUserUpdate(float fElapsedTime) override;
};
}